Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.jaxrs
Class JAXRSModel

    java.lang.Object
      org.apache.axis2.jaxrs.JAXRSModel

    public class JAXRSModel

extends java.lang.Object

Constructor Summary
`JAXRSModel()`

Method Summary
`java.lang.String` | `getConsumes()` only returns the one mime type as wsdl 2.0 can publish only one mime type for an operation
`java.lang.String` | `getHTTPMethod()`
`java.lang.String` | `getPath()` getter methods
`java.lang.String` | `getProduces()` only returns the one mime type as wsdl 2.0 can publish only one mime type for an operation
`void` | `setConsumes(java.lang.String consumes)`
`void` | `setHTTPMethod(java.lang.String httpmethod)`
`void` | `setPath(java.lang.String path)`
`void` | `setProduces(java.lang.String produces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXRSModel

    public JAXRSModel()

Method Detail

### setPath

    public void setPath(java.lang.String path)

### setConsumes

    public void setConsumes(java.lang.String consumes)

### setProduces

    public void setProduces(java.lang.String produces)

### setHTTPMethod

    public void setHTTPMethod(java.lang.String httpmethod)

### getPath

    public java.lang.String getPath()

  getter methods

### getConsumes

    public java.lang.String getConsumes()

  only returns the one mime type as wsdl 2.0 can publish only one mime type for an operation

  Returns:

### getProduces

    public java.lang.String getProduces()

  only returns the one mime type as wsdl 2.0 can publish only one mime type for an operation

  Returns:

### getHTTPMethod

    public java.lang.String getHTTPMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.